| My Project

Public Member Functions | Properties | List of all members
Business.Manager Class Reference

Class Manager qui gère les requins, les requins ajoutés, les requins modifiés et les fun facts More...

## Public Member Functions
| Manager (IPersistanceManager pers)
| constructeur avec INJECTION DE LA DéPENDANCE
void | LoadRequins ()
| Méthode LoadRequins de la classe Manager qui permet de remplir les listes de requins grâce à l'IPersistanceManager
void | SaveRequins ()
| Méthode SaveRequins de la classe Manager qui permet de sauvegarder les listes de requins grâce à l'IPersistanceManager
bool | AjouterRequin (Requin req)
| Méthode AjouterRequin de la classe Manager qui permet d'ajouter un requin dans la liste des requins More...
bool | SupprimerRequin (Requin req)
| Méthode SupprimerRequin de la classe Manager qui permet de supprimer un requin de la liste des requins More...
Requin | GetRequin (Requin req)
| Méthode GetRequin de la classe Manager qui permet de récupérer un requin de la liste des requins More...
bool | ModifieRequin (Requin oldR, Requin newR)
| Méthode ModifieRequin de la classe Manager qui permet de modifier un ancien requin de la liste des requins à partir d'un nouveau More...
bool | AjouterRequinEdit (Requin req)
| Méthode AjouterRequinEdit de la classe Manager qui permet d'ajouter un requin dans la liste des requins modifiés More...
bool | SupprimerRequinEdit (Requin req)
| Méthode SupprimerRequinEdit de la classe Manager qui permet de supprimer un requin de la liste des requins modifiés More...
bool | AjouterRequinAdd (Requin req)
| Méthode AjouterRequinAdd de la classe Manager qui permet d'ajouter un requin dans la liste des requins ajoutés More...
bool | SupprimerRequinAdd (Requin req)
| Méthode SupprimerRequinAdd de la classe Manager qui permet de supprimer un requin de la liste des requins ajoutés More...
Requin | GetRequinEdit (Requin req)
| Méthode GetRequinEdit de la classe Manager qui permet de récupérer un requin de la liste des requins modifiés More...
Requin | GetRequinAdd (Requin req)
| Méthode GetRequinAdd de la classe Manager qui permet de récupérer un requin de la liste des requins ajoutés More...
List< Requin > | RechercherRequins (ObservableCollection< Requin > lRech, Nullable< Zone > zone, string motif)
| Méthode RechercherRequins qui permet de rechercher des requins dans une ObservableCollection de Requin en fonction de leurs zones et d'un motif More...
bool | verifierRequin (String nom, String nomSci, String description, String photo, String video, String photoCarte)
| Méthode vérifierRequin qui permet de vérifiersi les strings que l'on donnerait au constructeur de requin son vides More...
void | LoadFunFacts ()
| Méthode LoadFunFacts de la classe Manager qui permet de charger la liste de fun facts grâce à l'IPersistanceManager
void | SaveFunFacts ()
| Méthode LoadFunFacts de la classe Manager qui permet de sauvegarder la liste de fun facts grâce à l'IPersistanceManager

## Properties
ObservableCollection< Requin > | Requins`[get]`
| ObservableCollection de Requin les requins qui ont déjà été validés
ObservableCollection< Requin > | RequinsEdit`[get]`
| ObservableCollection de Requin les requins qui ont été modifiés par des utilisateurs et qui n'ont pas encore été validés
ObservableCollection< Requin > | RequinsAdd`[get]`
| ObservableCollection<Requin> les requins qui ont été ajoutés par des utilisateurs et qui n'ont pas encore été validés
Requin | SelectedRequin`[get, set]`
| Requin actuellement utilisé dans l'application
List< String > | FunFacts = new List<String>()`[get]`
| List de string la liste des fun facts
IPersistanceManager | Pers`[get, set]`
| DéPENDANCE

## Detailed Description

Class Manager qui gère les requins, les requins ajoutés, les requins modifiés et les fun facts

## Member Function Documentation

## ◆ AjouterRequin()

bool Business.Manager.AjouterRequin | ( | Requin | req | ) |
| inline

Méthode AjouterRequin de la classe Manager qui permet d'ajouter un requin dans la liste des requins

Parameters

  req | Requin qui va être ajouté dans la liste

Returns
  Booléen : true si il a été ajouté, false sinon

## ◆ AjouterRequinAdd()

bool Business.Manager.AjouterRequinAdd | ( | Requin | req | ) |
| inline

Méthode AjouterRequinAdd de la classe Manager qui permet d'ajouter un requin dans la liste des requins ajoutés

Parameters

  req | Requin qui va être ajouté dans la liste

Returns
  Booléen : true si il a été ajouté, false sinon

## ◆ AjouterRequinEdit()

bool Business.Manager.AjouterRequinEdit | ( | Requin | req | ) |
| inline

Méthode AjouterRequinEdit de la classe Manager qui permet d'ajouter un requin dans la liste des requins modifiés

Parameters

  req | Requin qui va être ajouté dans la liste

Returns
  Booléen : true si il a été ajouté, false sinon

## ◆ GetRequin()

Requin Business.Manager.GetRequin | ( | Requin | req | ) |
| inline

Méthode GetRequin de la classe Manager qui permet de récupérer un requin de la liste des requins

Parameters

  req | Requin que l'on cherche dans dans la liste

Returns
  Requin trouvé

## ◆ GetRequinAdd()

Requin Business.Manager.GetRequinAdd | ( | Requin | req | ) |
| inline

Méthode GetRequinAdd de la classe Manager qui permet de récupérer un requin de la liste des requins ajoutés

Parameters

  req | Requin que l'on cherche dans dans la liste

Returns
  Requin trouvé

## ◆ GetRequinEdit()

Requin Business.Manager.GetRequinEdit | ( | Requin | req | ) |
| inline

Méthode GetRequinEdit de la classe Manager qui permet de récupérer un requin de la liste des requins modifiés

Parameters

  req | Requin que l'on cherche dans dans la liste

Returns
  Requin trouvé

## ◆ ModifieRequin()

bool Business.Manager.ModifieRequin | ( | Requin | oldR,
|  | Requin | newR
| ) |  |
| inline

Méthode ModifieRequin de la classe Manager qui permet de modifier un ancien requin de la liste des requins à partir d'un nouveau

Parameters

  oldR | Requin l'ancien requin dans la liste des requins
  newR | Requin le nouveau requin

Returns
  Booléen : true si il a été modifié, false sinon

## ◆ RechercherRequins()

List< Requin > Business.Manager.RechercherRequins | ( | ObservableCollection< Requin > | lRech,
|  | Nullable< Zone > | zone,
|  | string | motif
| ) |  |
| inline

Méthode RechercherRequins qui permet de rechercher des requins dans une ObservableCollection de Requin en fonction de leurs zones et d'un motif

Parameters

  lRech | ObservableCollection de Requin dans laquelle on fait la recherche
  motif | string sur lequel on fait la recherche
  zone | Zone? sur laquelle on fait la recherche

Returns
  List de Requin contenant tous les requins trouvés en fonction du motif et de la zone

## ◆ SupprimerRequin()

bool Business.Manager.SupprimerRequin | ( | Requin | req | ) |
| inline

Méthode SupprimerRequin de la classe Manager qui permet de supprimer un requin de la liste des requins

Parameters

  req | Requin qui va être supprimé dans la liste

Returns
  Booléen : true si il a été supprimé, false sinon

## ◆ SupprimerRequinAdd()

bool Business.Manager.SupprimerRequinAdd | ( | Requin | req | ) |
| inline

Méthode SupprimerRequinAdd de la classe Manager qui permet de supprimer un requin de la liste des requins ajoutés

Parameters

  req | Requin qui va être supprimé dans la liste

Returns
  Booléen : true si il a été supprimé, false sinon

## ◆ SupprimerRequinEdit()

bool Business.Manager.SupprimerRequinEdit | ( | Requin | req | ) |
| inline

Méthode SupprimerRequinEdit de la classe Manager qui permet de supprimer un requin de la liste des requins modifiés

Parameters

  req | Requin qui va être supprimé dans la liste

Returns
  Booléen : true si il a été supprimé, false sinon

## ◆ verifierRequin()

bool Business.Manager.verifierRequin | ( | String | nom,
|  | String | nomSci,
|  | String | description,
|  | String | photo,
|  | String | video,
|  | String | photoCarte
| ) |  |
| inline

Méthode vérifierRequin qui permet de vérifiersi les strings que l'on donnerait au constructeur de requin son vides

Parameters

  nom |
  nomSci |
  description |
  photo |
  video |
  photoCarte |

Returns
  Booléen : true si il n'y en a pas de vide, false sinon

The documentation for this class was generated from the following file:

- Business/Manager.cs